Subject: Re: cygwin B20 won't run any executable that doesn't have a .exe extension
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 15 May 2003 23:20:36 -0400

On Fri, May 16, 2003 at 12:54:03PM +1000, [email-masked] wrote:
>>Cygwin B20 is ancient - So ancient, that you cannot upgrade, you must do a
>>clean install of the current Cygwin.
>
>I'll send that on to CFX. I doubt if they'll do anything as they're not
>upgrading 4.4 any more, just sending occasional bug fixes. Version 4.4 was
>released in 2001, in time for Windows NT 4.0 with service pack 5.
>
>>Is CFX really commercial software? (The website seems to suggest so).
>
>I'll say it is, with a hefty annual fee. It's my bread and butter. I've
>previously run it on  SGI machines, never before on Intel. 
>
>>Which leads up to the question: Which Loader is Cygwin using?
>
>The wrapper is Demoshield demo32.exe
>
>Inside that is 1996 Install Shield Software Corportation full.exe calling
>stub.exe & stub32.exe. Package For The Web Stub. File version 2.1.5.0
>Product version 2.02.001
>
>Inside that is 1991 GNU GENERAL PUBLIC LICENSE Version 3. Free Software
>Foundation Inc. 675 Mass Ave Cambridge, MA 02139, USA.

Any hint of source code availability?  Is that part of the package I hope?

>>You may want to hold onto your copy of B20, I am sure you will receive
>requests for copies of it soon.
>
>Yeah, I can sense the orders coming in already.
>
>So, is your advice "Grin and bear it" or "Fix B20 yourself" or "Force
>CFX-4.4 to accept the latest Cygwin" or "Give up on Cygwin and install
>Linux"?

Any of the above is feasible.  We're not going to do anything to fix B20.
It is too old.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/